Cambrionix connect
Developers
Authentication API

Built-in Roles

View built-in roles.

Get Global Permission Groups

GET

/permission-groups/global

Get all global permission groups.

Requires a bearer access token for this API with the Global.User.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/permission-groups/global" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization Permission Groups

GET

/permission-groups/organization

Get all organization permission groups.

Requires a bearer access token for this API with the Organization.Role.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/permission-groups/organization" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Built-in Role Permissions

GET

/permissions/global

Get all built-in role permissions that can be assigned to a custom Organization Role.

Requires a bearer access token for this API with the Global.User.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/permissions/global" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Built-in Role Permissions

GET

/permissions/organization

Get all built-in role permissions that can be assigned to a custom Organization Role.

Requires a bearer access token for this API with the Organization.Role.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/permissions/organization" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"